<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.*?>
<?import javafx.scene.control.*?>
<?import java.lang.*?>
<?import javafx.scene.layout.*?>
<?import javafx.scene.layout.AnchorPane?>

<AnchorPane prefHeight="300.0" prefWidth="600.0" xmlns="http://javafx.com/javafx/8" xmlns:fx="http://javafx.com/fxml/1" fx:controller="com.ums.ui.UserEditUIController">
   <children>
      <GridPane layoutX="-29.0" layoutY="55.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
        <columnConstraints>
          <ColumnConstraints hgrow="SOMETIMES" maxWidth="296.0" minWidth="10.0" prefWidth="190.0" />
          <ColumnConstraints hgrow="SOMETIMES" maxWidth="410.0" minWidth="10.0" prefWidth="410.0" />
        </columnConstraints>
        <rowConstraints>
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
          <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
        </rowConstraints>
         <children>
            <Label text="Nom :" />
            <Label text="Prénom :" GridPane.rowIndex="1" />
            <Label text="Email :" GridPane.rowIndex="2" />
            <Label text="Téléphone :" GridPane.rowIndex="3" />
            <Label text="Login :" GridPane.rowIndex="4" />
            <Label text="Password :" GridPane.rowIndex="5" />
            <Label text="Rôle :" GridPane.rowIndex="6" />
            <TextField fx:id="nomField" GridPane.columnIndex="1" />
            <TextField fx:id="prenomField" GridPane.columnIndex="1" GridPane.rowIndex="1" />
            <TextField fx:id="emailField" GridPane.columnIndex="1" GridPane.rowIndex="2" />
            <TextField fx:id="telephoneField" GridPane.columnIndex="1" GridPane.rowIndex="3" />
            <TextField fx:id="loginField" GridPane.columnIndex="1" GridPane.rowIndex="4" />
            <ComboBox fx:id="roleComboBox" prefHeight="27.0" prefWidth="410.0" GridPane.columnIndex="1" GridPane.rowIndex="6" />
            <PasswordField fx:id="passwordField" GridPane.columnIndex="1" GridPane.rowIndex="5" />
         </children>
      </GridPane>
      <FlowPane alignment="CENTER_RIGHT" hgap="10.0" layoutX="49.0" layoutY="142.0" prefHeight="200.0" prefWidth="200.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="220.0">
         <children>
            <Button mnemonicParsing="false" onAction="#handleValider" text="Valider" />
            <Button mnemonicParsing="false" onAction="#handleAnnuler" text="Annuler" />
         </children>
         <padding>
            <Insets right="10.0" />
         </padding>
      </FlowPane>
   </children>
</AnchorPane>
